<ng-container *ngIf="isShown | async as display">
  <section [class.open]="display" (click)="close()" class="text-center">
    <div
      (click)="$event.stopPropagation()"
      class="d-flex flex-column modal-content"
    >
      <div>
        <app-button
          class="btn-close close"
          [iconName]="closeModalIcon"
          (click)="close()"
        ></app-button>
      </div>
      <div class="mb-5">
        <h3 class="mb-3">{{ title }}</h3>
        <p>{{ message }}</p>
      </div>
      <ng-content></ng-content>
    </div>
  </section>
</ng-container>
